stages:
  - deploy

deploy_to_ec2:
  stage: deploy
  image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest
  # image: alpine:latest
  variables:
    AWS_REGION: "eu-west-1"
    INSTANCE_ID: "i-05ea1fac0a18afc89"
  script:
    - export AWS_ACCESS_KEY_ID=$AWS_ACCESS_KEY_ID
    - export AWS_SECRET_ACCESS_KEY=$AWS_SECRET_ACCESS_KEY
    - aws configure set aws_access_key_id $AWS_ACCESS_KEY_ID
    - aws configure set aws_secret_access_key $AWS_SECRET_ACCESS_KEY
    - curl "https://s3.amazonaws.com/session-manager-downloads/plugin/latest/ubuntu_64bit/session-manager-plugin.deb" -o "session-manager-plugin.deb"
    - dpkg -i session-manager-plugin.deb
    # - aws ec2 describe-instances # Example command to test if AWS CLI is configured correctly
    # - aws ssm send-command --instance-id i-0144a1f91266ce388 --document-name "AWS-RunShellScript" --region us-east-1 --parameters commands="uptime;hostname;sudo su -;yum install -y java-18-openjdk-devel; java --version; yum install tree"
    - aws ssm send-command --instance-id $INSTANCE_ID --document-name "AWS-RunShellScript" --region $AWS_REGION --parameters commands="uptime;hostname;sudo su -; yum install -y tree"
    - aws ssm start-session --target $INSTANCE_ID --region $AWS_REGION
    # - uptime
    - hostname
    # - sudo su -
    # - sudoyum update -y
    # - yum install -y java-18-openjdk-devel
    # - java version
    # - aws ssm send-command --document-name InstallApplication.json --instance-ids i-0144a1f91266ce388 --region us-east-1


